// this code is published under GPL licence (see gpl.txt)

#include "DiffTime.h"
#include <stdlib.h>

// starts time measurement
void DiffTime::start() {
#ifdef WIN32
	startTime = timeGetTime();
#else
	gettimeofday(&startTime, NULL);
#endif
}

// returns time since start in milliseconds
float DiffTime::getSeconds() {
#ifdef WIN32
	return 0.001 * (timeGetTime() - startTime);
#else
	timeval now;
	gettimeofday(&now, NULL);
	return (now.tv_sec - startTime.tv_sec) + 0.000001 * (now.tv_usec - startTime.tv_usec);
#endif
}
